Bug 444355 - fsadm fails - readlink does not support options -e -n
fsadm fails - readlink does not support options -e -n
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.7
All Linux
medium Severity medium
: rc
: ---
Assigned To: Zdenek Kabelac
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-27 13:57 EDT by Milan Broz
Modified: 2013-02-28 23:06 EST (History)
8 users (show)

See Also:
Fixed In Version: RHBA-2008-0776
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 16:08:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Broz 2008-04-27 13:57:59 EDT
Description of problem:
fsadm doesn't work on RHEL4.6 (not sure if update of some package 

# fsadm
fsadm: readlink does not support options -e -n
# fsadm --help
fsadm: readlink does not support options -e -n

# rpm -qf `which readlink`
coreutils-5.2.1-31.7

#rpm -qf `which fsadm`
lvm2-2.02.35-1.el4
Comment 1 Milan Broz 2008-04-27 14:00:00 EDT
eh, missing ...not sure if update of coreutils in 4.7 helps :-)
Comment 6 Zdenek Kabelac 2008-04-29 11:26:47 EDT
Fixed upstream in CVS 
scripts/fsadm.sh version 1.6
tools/lvresize.c version 1.97
Comment 9 Corey Marthaler 2008-06-30 12:11:06 EDT
Fix verified in lvm2-2.02.37-3.el4.
Comment 11 errata-xmlrpc 2008-07-24 16:08:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0776.html

Note You need to log in before you can comment on or make changes to this bug.